commit add35600a6989bdb513d3acf6087726a5ddd5b53
Author: Torbjörn SVENSSON <torbjorn.svensson@foss.st.com>
Date:   Thu Nov 21 16:08:30 2024 +0100

    testsuite: arm: Fix build error for thumb2-slow-flash-data-3.c test
    
    gcc/testsuite/ChangeLog:
    
            * gcc.target/arm/thumb2-slow-flash-data-3.c: Added argument to
            fn1 to avoid compile error.
    
    Signed-off-by: Torbjörn SVENSSON <torbjorn.svensson@foss.st.com>
    (cherry picked from commit 09499ffbb3028f2db2dd97c2b764f0efe92bf3ef)

diff --git a/gcc/testsuite/gcc.target/arm/thumb2-slow-flash-data-3.c b/gcc/testsuite/gcc.target/arm/thumb2-slow-flash-data-3.c
index 27e72ec2086..77c7705a4df 100644
--- a/gcc/testsuite/gcc.target/arm/thumb2-slow-flash-data-3.c
+++ b/gcc/testsuite/gcc.target/arm/thumb2-slow-flash-data-3.c
@@ -10,7 +10,7 @@
 /* From PR71607 */
 
 float b;
-void fn1 ();
+void fn1 (void*);
 
 float
 fn2 ()

